Page MenuHome

Heavy lags over whole desktop environment
Closed, ResolvedPublic

Description

System Information
Operating system: Linux Mint 18.3, MATE
Graphics card: can't actually find the exact model right now, it's Radeon 6xxxM

Blender Version
Broken: 2.80, 7c438e55366b2, 2018-12-28
Worked: sa far as I understand this gap to fill - 2.79 official releases worked as smoothly as the hardware allowed it to.

Blender and a very desktop environment lag heavily when B3D is in Object Mode

1 - I start with a basic scene with the cube
2 - i tweak its dimensions in edit mode, cut it with loop-cut a few times so the mesh is a bit more complex
3 - go back to object mode.

Actually Blender acts like it filled up whole RAM and then the system starts to use SWAP partition, while it's not SSD ;) but it's not it, there's still plenty of free RAM. Every 3d viewport click, every view turn, every tiny action with Blender is click-and-wait battle. Such action needs about 10-20s, then again a second of smoothness and another 10-20s of waiting.
I didn't find any solution on the Internet yet, so I might be one of the few with the issue.
Picture of the 'complex' mesh in the attachment.

Thank you in advance for your time and your hard work. Cheers!

Details

Type
Bug

Event Timeline

Sebastian Parborg (zeddb) lowered the priority of this task from Needs Triage by Developer to Needs Information from User.Dec 31 2018, 1:05 PM

Attach the output of --debug-gpu and you can also try to see if --debug-gpu-force-workarounds fixes it.

This is probably a GPU driver issue though if it freezes your whole computer. So I suggest you try to update your mesa drivers to the latest version too.

@Wojtek (ototto)

do you also have problems like this?
https://developer.blender.org/T60001
I'm using the last mesa ppa by oibaf
https://launchpad.net/~oibaf/+archive/ubuntu/graphics-drivers
the drivers in developing have improved .. for a while .. but with the recent builds of blender problems have emerged ..
I hope they solve

Wojtek (ototto) added a comment.EditedJan 1 2019, 10:20 PM

Thx guys, I really appreciate.

Drivers - checked, updated, upgraded. No difference though.

@noki paike (amonpaike) - nope, Eevee works like gold on such simple scenes, no gibberish like this on the videos from your thread.
@Sebastian Parborg (zeddb) - there's '--debug-gpu' output in the attachment. Sorry if it's too big, I'm not sure what part of it is the most interesting to you. Those are lines from the very command until I quit Blender after it's ceases to cooperate. The good news is that '-force-workorounds' suffix does the job on the mesh, so yay :)

Suddenly:
The very identical symptoms appear right after I make a bone chain 6-bones long. No less, no more (I didn't manage to create longer one ;)). Plus the mode (object, edit, pose) doesn't matter, Blender misbehaves in all three. There... I have no clue at all and the 'force-workarounds' suffix won't help anymore.
Another CLI output in another attachment. The fatal error at the end is 'xkill'-forced-quit, so you don't have to bother.
So... Hope it helps... and hope you guys help me ;)

cheers!

Sebastian Parborg (zeddb) raised the priority of this task from Needs Information from User to Normal.

what it the output of glxinfo | grep -i opengl ?
I'm guessing this might be solved in newer mesa versions.

@Wojtek (ototto)
I thought it was the same generation of radeon hd as my gpu ..

instead I read better and your radeon is not a hd

@Sebastian Parborg (zeddb)
Took me a while :/

glxinfo | grep -i opengl
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Mobile 
OpenGL core profile version string: 3.3 (Core Profile) Mesa 18.0.5
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 18.0.5
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 18.0.5
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:

So that's the output you've asked.
Sorry for the time of my reaction.

Seems like you are using your built in GPU and not your Radeon gpu.

So I will suggest two things:

  1. Figure out how to switch to your dedicated GPU
  2. Update mesa version as the one you have is about half a year old. (So you might be missing some bug fixes for your GPU drivers [mesa])

@Wojtek (ototto)

DRI_PRIME=1 ./blender

if your system has 2 GPUs

Alright. I feel stupid now, but hey - the 2.79 worked just fine... :/ And as long as Cycles does not support this particular Radeon card, I simply didn't notice. Shame on me.
Maybe it's time to change my machine, simply enough.

Thank you, gentlemen :) Cheers!

Sebastian Parborg (zeddb) closed this task as Resolved.Jan 10 2019, 3:49 PM

I'll close this as resolved then (?)

Yup, go ahead :) thanks again.